extends Label


@export var inventory: WeaponSystem

func _process(_delta: float) -> void:
	var weapons = ""
	for child in inventory.get_children():
		if child is WeaponSubStateMachine:
			weapons += child.name + ", "
	text = weapons
